GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
ada_catchpoint Struct Reference
Inheritance diagram for ada_catchpoint:

## Public Member Functions
| ~ada_catchpoint () override
Public Member Functions inherited from breakpoint
virtual | ~breakpoint ()

## Public Attributes
char * | excep_string
Public Attributes inherited from breakpoint
const breakpoint_ops * | ops = NULL
breakpoint * | next = NULL
bptype | type = bp_none
enum enable_state | enable_state = bp_enabled
bpdisp | disposition = disp_del
int | number = 0
bp_location * | loc = NULL
bool | silent = false
bool | display_canonical = false
int | ignore_count = 0
int | enable_count = 0
counted_command_line | commands
struct frame_id | frame_id = null_frame_id
program_space * | pspace = NULL
event_location_up | location
char * | filter = NULL
event_location_up | location_range_end
struct gdbarch * | gdbarch = NULL
enum language | language = language_unknown
int | input_radix = 0
char * | cond_string = NULL
char * | extra_string = NULL
breakpoint * | related_breakpoint = NULL
int | thread = -1
int | task = 0
int | hit_count = 0
int | condition_not_parsed = 0
gdbpy_breakpoint_object * | py_bp_object = NULL
gdbscm_breakpoint_object * | scm_bp_object = NULL

## Detailed Description

Definition at line 12508 of file ada-lang.c.

## Constructor & Destructor Documentation

## ◆ ~ada_catchpoint()

ada_catchpoint::~ada_catchpoint | ( |  | ) |
| override

Definition at line 12576 of file ada-lang.c.

References excep_string, and xfree().

## Member Data Documentation

## ◆ excep_string

char* ada_catchpoint::excep_string

Definition at line 12513 of file ada-lang.c.

Referenced by create_excep_cond_exprs(), print_mention_exception(), print_one_exception(), print_recreate_exception(), should_stop_exception(), and ~ada_catchpoint().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/ada-lang.c